fop 1.1

## org.apache.fop.hyphenation
Interface HyphenationTreeResolver

    public interface HyphenationTreeResolver

This interface is used to resolve relative URIs pointing to hyphenation tree files.

Method Summary
`javax.xml.transform.Source` `resolve(java.lang.String href)` Called to resolve an URI to a Source instance.

Method Detail

### resolve

    javax.xml.transform.Source resolve(java.lang.String href)

  Called to resolve an URI to a Source instance. The base URI needed by the URIResolver's resolve() method is defined to be implicitely available in this case. If the URI cannot be resolved, null is returned.

  Parameters:
    `href` - An href attribute, which may be relative or absolute.
  Returns:
    A Source object, or null if the href could not resolved.

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.